| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingHandles Class Reference
Connection proxies

The PendingHandles class represents the parameters of and the reply to an asynchronous handle request/hold. More...

`#include <TelepathyQt/PendingHandles>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingHandles ()
- ConnectionPtr connection () const
- HandleType handleType () const
- bool isRequest () const
- bool isReference () const
- const QStringList & namesRequested () const
- QStringList validNames () const
- QHash< QString, QPair< QString,
  QString > > invalidNames () const
- const UIntList & handlesToReference () const
- ReferencedHandles handles () const
- UIntList invalidHandles () const

## Detailed Description

The PendingHandles class represents the parameters of and the reply to an asynchronous handle request/hold.

Instances of this class cannot be constructed directly; the only way to get one is to use Connection::requestHandles() or Connection::referenceHandles().

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingHandles::~PendingHandles | ( |  | ) |

Class destructor.

## Member Function Documentation

ConnectionPtr Tp::PendingHandles::connection | ( |  | ) | const

Return the connection through which the operation was made.

Returns:
  A pointer to the Connection object.

HandleType Tp::PendingHandles::handleType | ( |  | ) | const

Return the handle type specified in the operation.

Returns:
  The target handle type as HandleType.

bool Tp::PendingHandles::isRequest | ( |  | ) | const

Return whether the operation was a handle request (as opposed to a reference of existing handles).

Returns:
  `true` if the operation was a request (== !isReference()), `false` otherwise.

See also:
  isReference()

bool Tp::PendingHandles::isReference | ( |  | ) | const

Return whether the operation was a handle reference (as opposed to a request for new handles).

Returns:
  `true` if the operation was a reference (== !isRequest()), `false` otherwise.

See also:
  isRequest()

const QStringList & Tp::PendingHandles::namesRequested | ( |  | ) | const

If the operation was a request (as returned by isRequest()), returns the names of the entities for which handles were requested for. Otherwise, returns an empty list.

Returns:
  Reference to a list of the names of the entities.

QStringList Tp::PendingHandles::validNames | ( |  | ) | const

QHash< QString, QPair< QString, QString > > Tp::PendingHandles::invalidNames | ( |  | ) | const

const UIntList & Tp::PendingHandles::handlesToReference | ( |  | ) | const

If the operation was a reference (as returned by isReference()), returns the handles which were to be referenced. Otherwise, returns an empty list.

Returns:
  Reference to a list of the handles specified to be referenced.

ReferencedHandles Tp::PendingHandles::handles | ( |  | ) | const

Return the now-referenced handles resulting from the operation. If the operation has not (yet) finished successfully (isFinished() returns `false`), the return value is undefined.

For requests of new handles, `handles()[i]` will be the handle corresponding to the entity name `namesToRequest()[i]`. For references of existing handles, `handles()[i] == handlesToReference()[i]` will be true for any `i`.

Returns:
  ReferencedHandles object containing the handles.

UIntList Tp::PendingHandles::invalidHandles | ( |  | ) | const